<?php

namespace App\Entity;

use App\Repository\RequirementsRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\OneToMany(targetEntity: Mission::class, mappedBy: 'requirements')]
#[ORM\OneToMany(targetEntity: Skill::class, mappedBy: 'requirements')]
class Requirements
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    public function getId(): ?int
    {
        return $this->id;
    }
}
